Subject: bug#26186: 25.1; Emacs compiled with --with-xwidgets segfaults when I call "xwidget-webkit-browse-url"

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 28 Aug 2019 22:11:05 +0200

Noam Postavsky <[email-masked]> writes:

> Oscar Belletti <[email-masked]> writes:
>
>> The steps I do to reproduce the bug are:
>>>$ emacs -Q
>> Then in emacs:
>>   M-x xwidgets-browse-url RET http://www.google.com RET
>> Emacs crashes and I get this error:
>>
>> Fatal error 11: Segmentation fault
>> [...]
>
> A reddit user suggested[1] this is fixed now (possibly due change of
> webkit version used); do you see this in 26.1?
>
> [1]:
> https://www.reddit.com/r/emacs/comments/98ayn3/emacs_notes_why_a_minimal_browser_when_there_is_a/e4g3zte/

More information was requested about a year ago, but none was given, so
it seem unlikely that we'll be able to proceed with this bug report, and
I'm now closing it.

If you're still seeing this problem in newer versions of Emacs, please
reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no